$PROBLEM RUN1.MOD
;final model (Run8)
;ADAS-cog study level analysis
$INPUT C DID ID DROP DRGF DRUG DOSE TIME BLND DROP 
DV NTOT NTRT AGE DROP MMSE BL PY PYF DROP STAT DROP MDV


$DATA ADAS_all_merged_29SEP2008_MDV.csv IGNORE=C IGNORE=(TIME.EQ.0)
;IGNORE=(DID.EQ.111)
IGNORE=(DID.EQ.17)
IGNORE=(DID.EQ.19)
$ABB COMRES=4

$PRED 
;******MODEL COMPONENTS***********
;baseline ADAS-cog effect
IF (BL.EQ.9999) THEN
 BADS = 25
ELSE
 BADS = BL
ENDIF

BAD1 = (BADS/25)**THETA(16) 
;BAD2 = (BADS/25)**THETA(17) 


BSL=THETA(1)              ;baseline ADAS-cog
A=THETA(2)/52 + ETA(2)    ;rate of change of ADAS-cog due to disease progression 

;disease progression
DIS=BSL + A*TIME*BAD1

SLP=A*BAD1

W=THETA(3)/SQRT(NTRT)

;Plaebo effect
BTP=THETA(4)   ;beta for placebo
KELP=THETA(5)  ;Kel for placebo
KEQP=THETA(6)  ;Keq for placebo: onset half-life of the placebo effect=ln(2)/Keq
PBO =BTP*(EXP(-KELP*TIME)-EXP(-KEQP*TIME))


;drug effect
;---donepezil--- 
 EFF1 = THETA(7)*(DOSE/5)**THETA(9)
 ETD5 =THETA(8)*EXP(ETA(3))
 DRG1 = EFF1*TIME/(ETD5 + TIME)                           

;---galantamine--- 
 EFF2 = THETA(10)  ;*(DOSE/16)**THETA(12)
 ETG5 =THETA(11)*EXP(ETA(3))
 DRG2 = EFF2*TIME/(ETG5 + TIME)                                  

;---rivastigmine--- 
 EFF3 = THETA(13)*(DOSE/6)**THETA(15)
 ETR5 =THETA(14)*EXP(ETA(3))
 DRG3 = EFF3*TIME/(ETR5 + TIME) 

; EFF3 = THETA(13)*(DOSE/6)**THETA(14)
; DRG3 = EFF3*TIME                                  ;linear

IF (DRUG.EQ.0) F=DIS + PBO  + ETA(1)       ;placebo
IF (DRUG.EQ.1) F=DIS + PBO + DRG1 + ETA(1)  ;donepezil
IF (DRUG.EQ.2) F=DIS + PBO + DRG2 + ETA(1)  ;galantamine
IF (DRUG.EQ.3) F=DIS + PBO + DRG3 + ETA(1)  ;rivastigmine

Y=F+W*ERR(1) 
IPRE=F
IRES=DV-IPRE
IWRES=IRES/W
 

IF (ICALL.EQ.3) THEN
 OPEN(50,FILE='cwtab1.est')
WRITE (50,*)'ETAS'
DO WHILE (DATA)
IF (NEWIND.LE.1) WRITE (50,*) ETA
ENDDO
WRITE (50,*) 'THETAS'
WRITE (50,*) THETA
WRITE (50,*) 'OMEGAS'
WRITE (50,*) OMEGA(BLOCK)
WRITE (50,*) 'SIGMAS'
WRITE (50,*) SIGMA(BLOCK)
ENDIF

"LAST
"  COM(1)=G(1,1)
"  COM(2)=G(2,1)
"  COM(3)=G(3,1)
"  COM(4)=H(1,1)


$THETA 
(0 FIX)          ;1 Baseline
(6)                ;2 rate of change of ADAS-cog due to disease progression 
(10)                   ;3 ST_DV
(-16.5)                 ;4 beta forplacebo
(0.001,0.1,2)              ;5 Kel for placebo
(0.01,0.1,2)              ;6 Keq for placebo
(-2)                  ;7 donepezil_Effext
(0,2,50)              ;8 donepezil_ET50
(0,1)                 ;9 donepezil_dose_difference
(-4)                  ;10 galantamine_Effect
(0,2,50)              ;11 galantamine_ET50 
(0 FIX)                 ;12 galantamine_dose_difference 
(-1)                  ;13 rivastigmine_Effect
(0,2,50)              ;14 rivastigmine_ET50 
(0,1)                 ;15 rivastigmine_dose_difference 
(0.01)                ;16 bad1 power
 
$OMEGA  
1 ; PPV_status
1 ; PPV_alpha
1 ; PPV_beta
$SIGMA 1 FIX ; Add

$ESTIMATION MAXEVAL=9999 PRINT=10 METHOD=1 NOABORT ;POSTHOC 
$COV PRINT=E

$TABLE ID COM(1)=G11 COM(2)=G21 COM(3)=G31 COM(4)=H11
IPRE MDV NOPRINT ONEHEADER FILE=cwtab1.deriv

$TAB ID TIME IPRE IWRES MDV ONEHEADER NOPRINT FILE = SDTAB1
;


