$PROBLEM RUN1.MOD
;FINAL MODEL (RUN8)
;ADAS-COG STUDY LEVEL ANALYSIS
$INPUT C DID ID DROP DRGF DRUG DOSE TIME BLND DROP 
DV NTOT NTRT AGE DROP MMSE BL PY PYF DROP STAT DROP MDV


$DATA ..\ADAS_all_merged_29SEP2008_MDV.csv IGNORE=C IGNORE=(TIME.EQ.0)
;IGNORE=(DID.EQ.111)
IGNORE=(DID.EQ.17)
IGNORE=(DID.EQ.19)
$ABB COMRES=4

$PRED 
;******MODEL COMPONENTS***********
;BASELINE ADAS-COG EFFECT
IF (BL.EQ.9999) THEN
 BADS = 25
ELSE
 BADS = BL
ENDIF

BAD1 = (BADS/25)**THETA(16) 
;BAD2 = (BADS/25)**THETA(17) 


BSL=THETA(1)              ;BASELINE ADAS-COG
A=THETA(2)/52 + ETA(2)    ;RATE OF CHANGE OF ADAS-COG DUE TO DISEASE PROGRESSION 

;DISEASE PROGRESSION
DIS=BSL + A*TIME*BAD1

SLP=A*BAD1

W=THETA(3)/SQRT(NTRT)

;PLAEBO EFFECT
BTP=THETA(4)   ;BETA FOR PLACEBO
KELP=THETA(5)  ;KEL FOR PLACEBO
KEQP=THETA(6)  ;KEQ FOR PLACEBO: ONSET HALF-LIFE OF THE PLACEBO EFFECT=LN(2)/KEQ
PBO =BTP*(EXP(-KELP*TIME)-EXP(-KEQP*TIME))


;DRUG EFFECT
;---DONEPEZIL--- 
 EFF1 = THETA(7)*(DOSE/5)**THETA(9)
 ETD5 =THETA(8)*EXP(ETA(3))
 DRG1 = EFF1*TIME/(ETD5 + TIME)                           

;---GALANTAMINE--- 
 EFF2 = THETA(10)  ;*(DOSE/16)**THETA(12)
 ETG5 =THETA(11)*EXP(ETA(3))
 DRG2 = EFF2*TIME/(ETG5 + TIME)                                  

;---RIVASTIGMINE--- 
 EFF3 = THETA(13)*(DOSE/6)**THETA(15)
 ETR5 =THETA(14)*EXP(ETA(3))
 DRG3 = EFF3*TIME/(ETR5 + TIME) 

; EFF3 = THETA(13)*(DOSE/6)**THETA(14)
; DRG3 = EFF3*TIME                                  ;LINEAR

IF (DRUG.EQ.0) F=DIS + PBO  + ETA(1)       ;PLACEBO
IF (DRUG.EQ.1) F=DIS + PBO + DRG1 + ETA(1)  ;DONEPEZIL
IF (DRUG.EQ.2) F=DIS + PBO + DRG2 + ETA(1)  ;GALANTAMINE
IF (DRUG.EQ.3) F=DIS + PBO + DRG3 + ETA(1)  ;RIVASTIGMINE

Y=F+W*ERR(1) 
IPRE=F
IRES=DV-IPRE
IWRES=IRES/W
 

IF (ICALL.EQ.3) THEN
 OPEN(50,FILE='CWTAB1.EST')
WRITE (50,*)'ETAS'
DO WHILE (DATA)
IF (NEWIND.LE.1) WRITE (50,*) ETA
ENDDO
WRITE (50,*) 'THETAS'
WRITE (50,*) THETA
WRITE (50,*) 'OMEGAS'
WRITE (50,*) OMEGA(BLOCK)
WRITE (50,*) 'SIGMAS'
WRITE (50,*) SIGMA(BLOCK)
ENDIF

"LAST
"  COM(1)=G(1,1)
"  COM(2)=G(2,1)
"  COM(3)=G(3,1)
"  COM(4)=H(1,1)


$THETA 
(0 FIX)          ;1 BASELINE
(6)                ;2 RATE OF CHANGE OF ADAS-COG DUE TO DISEASE PROGRESSION 
(10)                   ;3 ST_DV
(-16.5)                 ;4 BETA FORPLACEBO
(0.001,0.1,2)              ;5 KEL FOR PLACEBO
(0.01,0.1,2)              ;6 KEQ FOR PLACEBO
(-2)                  ;7 DONEPEZIL_EFFEXT
(0,2,50)              ;8 DONEPEZIL_ET50
(0,1)                 ;9 DONEPEZIL_DOSE_DIFFERENCE
(-4)                  ;10 GALANTAMINE_EFFECT
(0,2,50)              ;11 GALANTAMINE_ET50 
(0 FIX)                 ;12 GALANTAMINE_DOSE_DIFFERENCE 
(-1)                  ;13 RIVASTIGMINE_EFFECT
(0,2,50)              ;14 RIVASTIGMINE_ET50 
(0,1)                 ;15 RIVASTIGMINE_DOSE_DIFFERENCE 
(0.01)      
 
$OMEGA  
1 ; PPV_STATUS
1 ; PPV_ALPHA
1 ; PPV_BETA
$SIGMA 1 FIX ; ADD

$ESTIMATION MAXEVAL=9999 PRINT=10 METHOD=1 NOABORT ;POSTHOC 
$COV PRINT=E

$TABLE ID COM(1)=G11 COM(2)=G21 COM(3)=G31 COM(4)=H11
IPRE MDV NOPRINT ONEHEADER FILE=CWTAB1.DERIV

$TAB ID TIME IPRE IWRES MDV ONEHEADER NOPRINT FILE=SDTAB1
;


