$PROB KA1_TO_EMAX1_ADVAN6

;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551

;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177

$INPUT ID TIME WT AGE SEX AMT DVID DV MDV
$DATA ..\warfarin_conc_pca.csv
$EST METHOD=COND INTER 
MAX=9990 SIG=3 PRINT=20 NOABORT
$COV

$THETA
(0.01,0.134,1) ; POP_CL L/H/70KG
(0.01,8.1,20) ; POP_V L/70KG
(0.01,0.575,24) ; POP_TABS H
(0.01,0.815,24) ; POP_LAG H
(0.01,96.7,200) ; POP_S0
(-1,-1.,0) FIX ; POP_EMAX
(0.01,1.2,10) ; POP_C50
(0.01,12.9,100) ; POP_TEQ

$OMEGA
0.0638 ; PPV_CL
0.0168 ; PPV_V
0.691 ; PPV_TABS
0.155 ; PPV_LAG
0.00377 ; PPV_S0
0 FIX ; PPV_EMAX
0.21 ; PPV_C50
0.0165 ; PPV_TEQ

$SIGMA
0.0133 ; RUV_CV
0.05 ; RUV_SD MG/L
15.3 ; RUV_FX

$SUBR ADVAN6 TOL=3
$MODEL
   COMP=GUT
   COMP=CENTRAL
   COMP=PCA
$PK

   IF (NEWIND.LE.1) LN2=LOG(2)

   FSZV=WT/70
   FSZCL=FSZV**0.75

   GRPCL=FSZCL*THETA(1)
   GRPV=FSZV*THETA(2)
   GRPTAB=THETA(3)
   GRPLAG=THETA(4)

   GRPS0=THETA(5)
   GRPEMX=THETA(6)
   GRPC50=THETA(7)
   GRPTEQ=THETA(8)

   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   TABS=GRPTAB*EXP(ETA(3))
   TLAG=GRPLAG*EXP(ETA(4))

   S0=GRPS0*EXP(ETA(5))
   EMAX=GRPEMX*EXP(ETA(6))
   C50=GRPC50*EXP(ETA(7))
   TEQ=GRPTEQ*EXP(ETA(8))

   IF (EMAX.LT.-1) EXIT 1 101

   KA=LN2/TABS
   ALAG1=TLAG
   S2=V
   A_0(3)=S0
   KPCA=LN2/TEQ
   RPCA=S0*KPCA

$DES
   RATEIN=KA*A(1)
   DCP=A(2)/V
   DPCA=A(3)
   PD=1+EMAX*DCP/(C50+DCP)

   DADT(1)=-RATEIN
   DADT(2)=RATEIN - CL*DCP
   DADT(3)=RPCA*PD - KPCA*DPCA

$ERROR

   CP=A(2)/V
   PCA=A(3)
   IF (DVID.LE.1) THEN
      Y=CP*(1+ERR(1)) + ERR(2)
   ENDIF
   IF (DVID.EQ.2) THEN
      Y=PCA + ERR(3)
   ENDIF

$TABLE ID TIME DVID CP PCA Y
ONEHEADER NOPRINT FILE=warfarin_pkpd_turnover.fit



