
$PROB WARFARIN PK
;O'Reilly RA, Aggeler PM, Leong LS. Studies of the coumarin anticoagulant
;drugs: The pharmacodynamics of warfarin in man.
;Journal of Clinical Investigation 1963;42(10):1542-1551

;O'Reilly RA, Aggeler PM. Studies on coumarin anticoagulant drugs
;Initiation of warfarin therapy without a loading dose.
;Circulation 1968;38:169-177

$INPUT ID TIME WT AGE SEX AMT DVID DV MDV
$DATA warfarin_conc_pca.csv IGNORE=#
IGNORE (DVID.EQ.2) ; ignore PCA observations

$EST METHOD=COND INTER 
MAX=9990 SIG=3 NOABORT ;PRINT=1
$COV

$THETA
(0.001,0.1) ; POP_CL L/h/70kg
(0.001,8)   ; POP_V  L/70kg
(0.001,2) ; POP_KA h-1
(0.001,1) ; POP_TLAG h


$OMEGA BLOCK(2)
0.1 ; BSV_CL
0 0.1 ; BSV_V

$OMEGA BLOCK(2)
0.1  ; BOV_CL1 First BOV block
0.01 0.1 FIX ; BOV_V1
$OMEGA BLOCK(2) SAME
;; BOV_CL2
;; BOV_V2

$OMEGA BLOCK(2)
0.1 ; BOV_KA1
0 0.1 ; BOV_TLAG1
$OMEGA BLOCK(2) SAME
;; BOV_KA2
;; BOV_TLAG2

$OMEGA
0.1 FIX; BSV_KA
0.1 ; BSV_TLAG

$SIGMA BLOCK(2)
0.01 ; RUV_PROP
0 0.05 ; RUV_ADD mg/L

$SUBR ADVAN2 TRANS2

$PK


   ; Covariate model
   GRPCL=THETA(1)*(WT/70)**0.75
   GRPV=THETA(2)*WT/70
   GRPKA=THETA(3)
   GRPLG=THETA(4)

   OCC=SEX ; create an occasion variable to show BOV code

   IF (OCC.EQ.1) THEN
      BOVCL=ETA(3)
      BOVV=ETA(4)
      BOVKA=ETA(7)
      BOVTLAG=ETA(8)
   ELSE
      BOVCL=ETA(5)
      BOVV=ETA(6)
      BOVKA=ETA(9)
      BOVTLAG=ETA(10)
   ENDIF

   ; Individual parameters
   CL=GRPCL*EXP(ETA(1)+BOVCL)
   V=GRPV*EXP(ETA(2)+BOVV)
   KA=GRPKA*EXP(ETA(11)+BOVKA)
   ALAG1=GRPLG*EXP(ETA(12)+BOVTLAG)

   ; NM-TRAN scale for central compartment
   S2=V

$ERROR
   CONC=A(2)/V
   Y=CONC*(1+ERR(1))+ERR(2)

$TABLE ID TIME WT SEX AGE ; covariates
CL V KA ALAG1 ; EBE estimates
DVID Y ; predictions
ONEHEADER NOPRINT FILE=warf.fit




