
$PROB WARFARIN PK
;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551

;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177

$INPUT ID TIME WT AGE SEX AMT DVID DV MDV
$DATA ..\warfarin_conc_pca.csv IGNORE=#
IGNORE (DVID.EQ.2) ; IGNORE PCA OBSERVATIONS

$EST METHOD=COND INTER 
MAX=9990 SIG=3 NOABORT ;PRINT=1
$COV

$THETA
(0.001,0.1) ; POP_CL L/H/70KG
(0.001,8)   ; POP_V  L/70KG
(0.001,0.362) ; POP_KA H-1
(0.001,1) ; POP_TLAG H
(0,1,) ; FCL_FEM
.001 ; KCL_AGE

$OMEGA BLOCK(2)
0.1 ; PPV_CL
.01 0.1 ; PPV_V
$OMEGA
0.1 ; PPV_KA
0.1 ; PPV_TLAG

$SIGMA 
0.1 ; RUV_PROP
0.1 ; RUV_ADD MG/L


$SUBR ADVAN2 TRANS2

$PK
   ; COVARIATE MODEL
   FWTCL=(WT/70)**0.75
   IF (SEX.EQ.0) THEN 
      FCLSEX=THETA(5) ; FEMALE
   ELSE
      FCLSEX=1 ; MALE
   ENDIF
   FAGECL=EXP(THETA(6)*(AGE-40))

   GRPCL=THETA(1)*FWTCL*FCLSEX*FAGECL
   GRPV=THETA(2)*WT/70
   GRPKA=THETA(3)
   GRPLG=THETA(4)
   ; INDIVIDUAL PARAMETERS
   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   KA=GRPKA*EXP(ETA(3))
   ALAG1=GRPLG*EXP(ETA(4))

   ; NM-TRAN SCALE FOR CENTRAL COMPARTMENT
   S2=V

$ERROR
   CONC=A(2)/V
   Y=CONC*(1+ERR(1))+ERR(2)

$TABLE ID TIME WT SEX AGE ; COVARIATES
CL V KA ALAG1 ; EBE ESTIMATES
DVID Y ; PREDICTIONS
ONEHEADER  NOPRINT FILE=warfarin_pk_clsexage.fit




