$PROB WARFARIN PK
;O'Reilly RA, Aggeler PM, Leong LS. Studies of the coumarin anticoagulant
;drugs: The pharmacodynamics of warfarin in man.
;Journal of Clinical Investigation 1963;42(10):1542-1551

;O'Reilly RA, Aggeler PM. Studies on coumarin anticoagulant drugs
;Initiation of warfarin therapy without a loading dose.
;Circulation 1968;38:169-177

$INPUT ID TIME WT AGE SEX AMT DVID DV MDV
$DATA warfarin_conc_pca.csv IGNORE=#
IGNORE (DVID.EQ.2) ; ignore PCA observations

$EST METHOD=COND INTER 
MAX=9990 SIG=3 NOABORT ;PRINT=1
$COV

$THETA 
(0,0.3,1) ; PROB_CYP_SLOW
(0,0.5,1) ; FCYP_SLOW
$THETA
(0.001,0.1) ; POP_CL L/h/70kg
(0.001,8)   ; POP_V  L/70kg
(0.001,2) ; POP_KA h-1
(0.001,1) ; POP_TLAG h

$OMEGA BLOCK(2)
0.1 ; PPV_CL
0.01 0.1 ; PPV_V
$OMEGA
0.1 ; PPV_KA
0.1 ; PPV_TLAG

$SIGMA 
0.01 ; RUV_PROP
0.05 ; RUV_ADD mg/L


$SUBR ADVAN2 TRANS2

$PK

   ; Covariate model
   IF (MIXNUM.EQ.1) THEN
      FSLOW=THETA(2)
   ELSE
      FSLOW=1
   ENDIF
   GRPCL=FSLOW*THETA(3)*(WT/70)**0.75
   GRPV=THETA(4)*WT/70
   GRPKA=THETA(5)
   GRPLG=THETA(6)

   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   KA=GRPKA*EXP(ETA(3))
   ALAG1=GRPLG*EXP(ETA(4))

   ; NM-TRAN scale for central compartment

  S2=V

$MIX
   NSPOP=2
   P(1)=THETA(1)
   P(2)=1-THETA(1)
$ERROR
   CONC=A(2)/V
   Y=CONC*(1+ERR(1))+ERR(2)
   MIXE=MIXNUM

$TABLE ID MIXE TIME WT SEX AGE ; covariates
CL V KA ALAG1 ; EBE estimates
DVID Y ; predictions
ONEHEADER NOPRINT FILE=warf.fit




