
$PROB WARFARIN PK
;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551

;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177

$INPUT ID TIME WT AGE SEX AMT DVID DV MDV
$DATA ..\warfarin_conc_pca.csv IGNORE=#
IGNORE (DVID.EQ.2) ; IGNORE PCA OBSERVATIONS

$SIM (20120505) ONLYSIM NSUB=1

$THETA
(0.001,0.1) ; POP_CL
(0.001,8)   ; POP_V
(0.001,0.362) ; POP_KA
(0.001,1) ; POP_TLAG

$OMEGA BLOCK(2)
0.1 ; PPV_CL
.01 0.1 ; PPV_V
$OMEGA
0.1 ; PPV_KA
0.1 ; PPV_TLAG

$SIGMA 
0.1 ; RUV_PROP
0.1 ; RUV_ADD


$SUBR ADVAN2 TRANS2

$PK

   ; COVARIATE MODEL
   GRPCL=THETA(1)*(WT/70)**0.75
   GRPV=THETA(2)*WT/70
   GRPKA=THETA(3)
   GRPLG=THETA(4)

   ; INDIVIDUAL PARAMETERS
   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   KA=GRPKA*EXP(ETA(3))
   ALAG1=GRPLG*EXP(ETA(4))

   ; NM-TRAN SCALE FOR CENTRAL COMPARTMENT
   S2=V

$ERROR
   Y=F*(1+ERR(1))+ERR(2)
   IF (ICALL.EQ.4) THEN
      DV=F*(1+ERR(1))+ERR(2)
   ENDIF

$TABLE ID TIME WT SEX AGE ; COVARIATES
CL V KA ALAG1 ; EBE ESTIMATES
DVID DV ; PREDICTIONS
ONEHEADER NOAPPEND NOPRINT FILE=warfarin_pk_sim.fit




