$PROB ESTIMATE TIME TO EVENT
$DATA warf_sim_p1_drop_TRT.csv
$INPUT ID TIME TRT 
AMT=DROP RATE=DROP ADDL=DROP II=DROP
WT DVID DV MDV CP PCA INR
;$WARN NONE ; suppress warning for simulated non-zero DV records with MDV=1
$ESTIM MAX=9990 SIG=3 NOABORT ;PRINT=1
METHOD=CONDITIONAL LAPLACIAN LIKE
$COV

;Event hazard
$THETA
(0,0.1,) ; POP_HBASE 1/y baseline hazard (major haemorrhage)
(0,0.4,) ; POP_BTATRT hazard ratio increase per 1 mg/d warfarin

$OMEGA 0 FIX ; PPV_HBASE needed to keep NM-TRAN happy

$SUBR ADVAN6 TOL=3
$MODEL
   COMP=CUMHAZ
$PK

; Group
   HAZTRT=THETA(2)*TRT 

; Individual
   HBASE=THETA(1)*EXP(ETA(1))/365 ; 1/y -> 1/d
   HAZ=HBASE *(1+HAZTRT)

$DES
   DADT(1)=HAZ

$ERROR

   CUMHAZ=A(1)

   ; Prob of not having dropped out up to this time
   SRVT=EXP(-CUMHAZ) ; Survivor function (t)

; Likelihood

   IF (DVID.EQ.3.AND.DV.EQ.0) THEN ; Censored event
      Y=SRVT ; Likelihood is the survivor function
   ENDIF
   IF (DVID.EQ.3.AND.DV.EQ.1) THEN
      Y=SRVT*HAZ ; likelihood at exact event time
   ENDIF


