$PROB ESTIMATE TIME TO EVENT
$DATA ..\warf_sim_p1_drop_TRT.csv
$INPUT ID TIME TRT 
AMT=DROP RATE=DROP ADDL=DROP II=DROP
WT DVID DV MDV CP PCA INR
;$WARN NONE ; SUPPRESS WARNING FOR SIMULATED NON-ZERO DV RECORDS WITH MDV=1
$ESTIM MAX=9990 SIG=3 NOABORT ;PRINT=1
METHOD=CONDITIONAL LAPLACIAN LIKE
$COV

;EVENT HAZARD
$THETA
(0,0.1,) ; POP_HBASE 1/Y BASELINE HAZARD (MAJOR HAEMORRHAGE)
(0,0.4,) ; POP_BTATRT HAZARD RATIO INCREASE PER 1 MG/D WARFARIN

$OMEGA 0 FIX ; PPV_HBASE NEEDED TO KEEP NM-TRAN HAPPY

$SUBR ADVAN6 TOL=3
$MODEL
   COMP=CUMHAZ
$PK

; GROUP
   HAZTRT=THETA(2)*TRT 

; INDIVIDUAL
   HBASE=THETA(1)*EXP(ETA(1))/365 ; 1/Y -> 1/D
   HAZ=HBASE *(1+HAZTRT)

$DES
   DADT(1)=HAZ

$ERROR

   CUMHAZ=A(1)

   ; PROB OF NOT HAVING DROPPED OUT UP TO THIS TIME
   SRVT=EXP(-CUMHAZ) ; SURVIVOR FUNCTION (T)

; LIKELIHOOD

   IF (DVID.EQ.3.AND.DV.EQ.0) THEN ; CENSORED EVENT
      Y=SRVT ; LIKELIHOOD IS THE SURVIVOR FUNCTION
   ENDIF
   IF (DVID.EQ.3.AND.DV.EQ.1) THEN
      Y=SRVT*HAZ ; LIKELIHOOD AT EXACT EVENT TIME
   ENDIF


