$PROB ESTIMATE TIME TO EVENT
$DATA warfarin_intervalTTEdata.csv
$INPUT ID TIME TRT DV
;$WARN NONE ; suppress warning for simulated non-zero DV records with MDV=1
$ESTIM MAX=9990 SIG=3 NOABORT ;PRINT=1
METHOD=CONDITIONAL LAPLACIAN LIKE
$COV

;Event hazard
$THETA
(0,0.1,) ; POP_HBASE 1/y baseline hazard (major haemorrhage)
(0,0.4,) ; POP_BTATRT hazard ratio increase per 1 mg/d warfarin

$OMEGA 0 FIX ; PPV_HBASE needed to keep NM-TRAN happy

$SUBR ADVAN6 TOL=3
$MODEL
   COMP=CUMHAZ
$PK
   IF (NEWIND.LE.1) CHLAST=0 ; Cumulative hazard at TIME=0

; Group
   HAZTRT=THETA(2)*TRT 

; Individual
   HBASE=THETA(1)*EXP(ETA(1))/365 ; 1/y -> 1/d
   HAZ=HBASE *(1+HAZTRT)

$DES
   DADT(1)=HAZ

$ERROR

   CUMHAZ=A(1)

   ; Prob of not having dropped out up to this time
   SRVT=EXP(-CUMHAZ) ; Survivor function (t)

; Likelihood

   IF (DV.EQ.0) THEN ; Censored event
      Y=EXP(-CUMHAZ) ; Likelihood is the survivor function
   ENDIF
   IF (DV.EQ.2) THEN
      Y=1-EXP(-(CUMHAZ-CHLAST)) ; likelihood of event in interval
   ENDIF

   IF (DV.EQ.0) THEN ; start of new event interval
      CHLAST=CUMHAZ ; cumulative hazard at start of new interval
   ELSE ; save recursive random variable (only works with NMVI or later)
      CHLAST=CHLAST ; cumulative hazard at end of previous interval
   ENDIF

