$PROB ESTIMATE TIME TO EVENT
$DATA ..\warfarin_intervalTTEdata.csv
$INPUT ID TIME TRT DV
;$WARN NONE ; SUPPRESS WARNING FOR SIMULATED NON-ZERO DV RECORDS WITH MDV=1
$ESTIM MAX=9990 SIG=3 NOABORT ;PRINT=1
METHOD=CONDITIONAL LAPLACIAN LIKE
$COV

;EVENT HAZARD
$THETA
(0,0.1,) ; POP_HBASE 1/Y BASELINE HAZARD (MAJOR HAEMORRHAGE)
(0,0.4,) ; POP_BTATRT HAZARD RATIO INCREASE PER 1 MG/D WARFARIN

$OMEGA 0 FIX ; PPV_HBASE NEEDED TO KEEP NM-TRAN HAPPY

$SUBR ADVAN6 TOL=3
$MODEL
   COMP=CUMHAZ
$PK
   IF (NEWIND.LE.1) CHLAST=0 ; CUMULATIVE HAZARD AT TIME=0

; GROUP
   HAZTRT=THETA(2)*TRT 

; INDIVIDUAL
   HBASE=THETA(1)*EXP(ETA(1))/365 ; 1/Y -> 1/D
   HAZ=HBASE *(1+HAZTRT)

$DES
   DADT(1)=HAZ

$ERROR

   CUMHAZ=A(1)

   ; PROB OF NOT HAVING DROPPED OUT UP TO THIS TIME
   SRVT=EXP(-CUMHAZ) ; SURVIVOR FUNCTION (T)

; LIKELIHOOD

   IF (DV.EQ.0) THEN ; CENSORED EVENT
      Y=EXP(-CUMHAZ) ; LIKELIHOOD IS THE SURVIVOR FUNCTION
   ENDIF
   IF (DV.EQ.2) THEN
      Y=1-EXP(-(CUMHAZ-CHLAST)) ; LIKELIHOOD OF EVENT IN INTERVAL
   ENDIF

   IF (DV.EQ.0) THEN ; START OF NEW EVENT INTERVAL
      CHLAST=CUMHAZ ; CUMULATIVE HAZARD AT START OF NEW INTERVAL
   ELSE ; SAVE RECURSIVE RANDOM VARIABLE (ONLY WORKS WITH NMVI OR LATER)
      CHLAST=CHLAST ; CUMULATIVE HAZARD AT END OF PREVIOUS INTERVAL
   ENDIF

