$SIZES LTH=56
$PROB DIABETES PROGRESSION
$DATA diabetes_simulated.csv
$INPUT ID TRT COMB TIME DOSE M1F0 AGE WTKG HTCM DVID DV MDV EVID

$EST MAX=9990 SIG=3 PRINT=1 NOABORT
METHOD=COND INTERACTION SLOW
MSFO=diabetes.msf
$COV
;$SIM (20121202) ONLYSIM NSUB=1

; Parameters from 604_QHWK_GMPSMGI400_bnd4blk4_DPGZAgZ.ctl 15 May 2008

$THETA
(0.01,0.278,1.5)  ; POP_BFUNZ
(-30,-17.9,-0.25)  ; POP_T2BF year

(0.01,0.238,5) ; POP_IPOTZ
(-30,-4.1,-0.25)  ; POP_T2IP year

-0.00445 ; KGZBF 1/mmol/L
0.00058 ; KGZIP 1/pmol/L
0.0001 ; KAGBFZ 1/y
0.0189 ; KAGIPZ 1/y

;Offset Effects on Beta Cell Function
;Primary Treatment
0 FIX ; OBFPLA
(-10,0.786,10)   ; OBFGLZ
(-10,0.693,10)  ; OBFMET
(-10,0.514,10)  ; OBFPIO
0 FIX ; OBFGLB
0 FIX ; OBFGLM
0 FIX ; OBFROS
;Combination Treatment
(-10,-0.132,10)  ; OBFSFU
(-10,-0.0728,10)   ; OBFMT2
0 FIX ; OBFINS
;Delay
(0.01,2.65,30)  ; TBFGLZ week
(0.01,6.98,30)  ; TBFMET week
(0.01,16.,30)  ; TBFPIO week

;Offset Effects on Insulin Potency
;Primary Treatment
0 FIX ; OIPPLA
(-10,0.57,10)  ; OIPGLZ
(-10,0.899,10)  ; OIPMET
(-10,0.794,10)  ; OIPPIO
0 FIX ; OIPGLB
0 FIX ; OIPGLM
0 FIX ; OIPROS
;Combination Treatment
(-10,-0.0613,10) ; OIPSFU
(-10,-0.0366,10) ; OIPMT2
0 FIX ; OIPINS
;Delay
(0.001,27.6,30)   ; TIPGLZ week
(0.01,16.7,100) ; TIPMET week
(0.01,9.57,30) ; TIPPIO week

;Slope Effects on Beta Cell Function
;Primary Treatment
0 FIX ; SBFPLA
(-10,3.48,10)  ; SBFGLZ
(-10,4.82,10)  ; SBFMET
(-10,0.877,10)  ; SBFPIO
0 FIX ; SBFGLB
0 FIX ; SBFGLM
0 FIX ; SBFROS
;Combination Treatment
(-10,3.23,10)  ; SBFSFU
(-10,4.22,10)  ; SBFMT2
0 FIX ; SBFINS

;Slope Effects on Insulin Potency
;Primary Treatment
0 FIX ; SIPPLA
(-10,1.32,10) ; SIPGLZ
(-10,0.613,10) ; SIPMET
(-10,0.484,10) ; SIPPIO
0 FIX ; SIPGLB
0 FIX ; SIPGLM
0 FIX ; SIPROS
;Combination Treatment
(-10,0.265,10) ; SIPSFU
(-10,-0.11,10) ; SIPMT2
0 FIX ; SIPINS

;Residual Error
(0,0.105,)   ; RUV_CVFPG
(0,0.257,)   ; RUV_CVFSI

$OMEGA BLOCK(4) 
0.591 ; PPV_BFUNZ
0.448 0.606 ; PPV_KBFUN
0. -0.249 0.255 ; PPV_OBF
0. 0. 0.00135 0.00076 ; PPV_TEQOBF
$OMEGA BLOCK(4) 
0.395 ; PPV_IPOTZ
0.00209 0.59 ; PPV_KIPOT
-0.262 -0.0384 0.464 ; PPV_OIP
-0.0392 0.00018 -0.34 0.704 ; PPV_TEQOIP


$OMEGA BLOCK(2)
0.089 ; PPV_RUVFPG
0. 0.0501 ; PPV_RUVFSI
$SIGMA 1. FIX ; EPS1

$OMEGA
; Drug effect slope random effects are probably confounded
; with natural history slope random effects
0 FIX ; PPV_SBF
0 FIX ; PPV_SIP

$PRED

IF (NEWIND.LE.0) THEN
   LN2=LOG(2)
   TINY=1D-10
   TLAST=0
   GLAST=0
   ILAST=0

;RGLU, RINS, T2Glu and T2ins in healthy subjects from
;Silber HE, Jauslin PM, Frey N, Gieschke R, Simonsson US and Karlsson MO. 
;An integrated model for glucose and insulin regulation in healthy volunteers
;and type 2 diabetic patients following intravenous glucose provocations. 
;J Clin Pharmacol 2007;47:1159-71

;Homeostatic values for GLU and INS
;when beta function and insulin sensitivity are normal (B=1, S=1)
   GLUNRM=4.9 ; mmol/L
   INSNRM=45 ;pmol/L
   VGLU=17.9 ;L
   VINS=6.09 ;L
   CLG=0.0894 ; L/min
   CLGI=0.001382 ; L/min/(pmol/L)
   CLINS=1.22 ; L/min
   IPRG=1.42 ; Insulin feedback power
   GPRG=-2.79 ; Glucose feedback power
   GPROD0=0.741 ; mmol/min
   IPROD0=54.9 ; pmol/min
;Glucose homeostatic magic number 
   GLUSTD=GLUNRM-1 ; mmol/L
   ;Note BF and IP must be equal to 1 for these 'normal' values
   ;Glucose clearance for normal subject at INSNRM
   RGLU=GPROD0 ;*EXP(PPV_RGLU) ; mmol/min  0.741
   CLGLU=RGLU/(GLUNRM*INSNRM) ; Apparent glucose clearance
   ;Insulin clearance for normal subject
   RINS=IPROD0 ;*EXP(PPV_RINS) ; pmol/min 54.9
   CLINS=RINS/INSNRM ; Apparent insulin clearance   
ENDIF


;Drug Effect
;Treatment Codes
;UNKTRT=-1 PLACEBO=0 GLICLAZIDE=1 GLIBENCLAMIDE=2 GLIMEPIRIDE=3
;METFORMIN=4 PIOGLITAZONE=5 ROSIGLITAZONE=6

IF (TRT.LE.0) THEN
   EOBFT=THETA(9)
   EOIPT=THETA(22)
   ESBFT=THETA(35)
   ESIPT=THETA(45)
   KEQOBF=0
   KEQOIP=0
ENDIF
IF (TRT.EQ.1) THEN
   EOBFT=THETA(10) ;*DOSE/(OBFc5GLZ+DOSE)
   EOIPT=THETA(23)
   ESBFT=THETA(36)
   ESIPT=THETA(46)
   KEQOBF=LN2/(THETA(19)*EXP(ETA(4)))
   KEQOIP=LN2/(THETA(32)*EXP(ETA(8)))
ENDIF
IF (TRT.EQ.4) THEN
   EOBFT=THETA(11); *DOSE/(OBFc5MET+DOSE)
   EOIPT=THETA(24)
   ESBFT=THETA(37)
   ESIPT=THETA(47)
   KEQOBF=LN2/(THETA(20)*EXP(ETA(4)))
   KEQOIP=LN2/(THETA(33)*EXP(ETA(8)))
ENDIF
IF (TRT.EQ.5) THEN
   EOBFT=THETA(12) ;*DOSE ;/(OBFc5PIO+DOSE)
   EOIPT=THETA(25)
   ESBFT=THETA(38)
   ESIPT=THETA(48)
   KEQOBF=LN2/(THETA(21)*EXP(ETA(4)))
   KEQOIP=LN2/(THETA(34)*EXP(ETA(8)))
ENDIF

;Combination Codes
;SULFONYLUREA=7 METFORMIN2=8 INSULIN=9

IF (COMB.EQ.0) THEN
   EOBFC=THETA(9)
   EOIPC=THETA(22)
   ESBFC=THETA(35)
   ESIPC=THETA(45)
ENDIF
IF (COMB.EQ.7) THEN ; sulfonylurea
   EOBFC=THETA(16)
   EOIPC=THETA(29)
   ESBFC=THETA(42)
   ESIPC=THETA(52)
; No interaction
;   EOBFC=OBFGLZ
;   EOIPC=OIPGLZ
;   ESBFC=SBFGLZ
;   ESIPC=SIPGLZ
ENDIF
IF (COMB.EQ.8) THEN ; metformin
   EOBFC=THETA(17)
   EOIPC=THETA(30)
   ESBFC=THETA(43)
   ESIPC=THETA(53)
; No interaction
;   EOBFC=OBFMET
;   EOIPC=OIPMET
;   ESBFC=SBFMET
;   ESIPC=SIPMET
ENDIF
;IF (COMB.EQ.9) THEN
;   EOBFC=OBFINS
;   EOIPC=OIPINS
;   ESBFC=SBFINS
;   ESIPC=SIPINS
;ENDIF

;Slope Drug Effect (Fractional change in slope)
SBF=(ESBFT+ESBFC)+ETA(11)
SIP=(ESIPT+ESIPC)+ETA(12)

BFUNZ=THETA(1)*EXP(ETA(1))
IPOTZ=THETA(3)*EXP(ETA(5))

IF (TIME.EQ.0) THEN
   BF=BFUNZ
   IP=IPOTZ
;Solve for baseline Glucose and Insulin
   AX=1
   BX=-GLUSTD
   CX=-CLINS*RGLU/(IP*BF*CLGLU*RINS)
   FPGZ=(-BX + SQRT(BX*BX - 4*AX*CX))/(2*AX)
   FSIZ=RINS*BF*(FPGZ-GLUSTD)/CLINS
ELSE
   FPGZ=FPGZ
   FSIZ=FSIZ
ENDIF

IF (AGE.GT.0) THEN
   FAGBFZ=EXP(THETA(7)*(AGE-60))
   FAGIPZ=EXP(THETA(8)*(AGE-60))
ELSE
   FAGBFZ=1
   FAGIPZ=1
ENDIF
T2BF=THETA(2)*EXP(THETA(5)*(FPGZ-GLUNRM))*FAGBFZ
T2IP=THETA(4)*EXP(THETA(6)*(FPGZ-GLUNRM))*FAGIPZ
KBF=LN2/(T2BF*52)*(1+ETA(2)) ; y -> wk
KIP=LN2/(T2IP*52)*(1+ETA(6)) ; y -> wk


   IF (NEWIND.LE.1) THEN
      BFT=BFUNZ
      IPT=IPOTZ
      CEBFT=0
      CEIPT=0
      TLAST=TIME
      TDLTA=0
      ZBFT=0
      ZIPT=0
      ZCEBF=0
      ZCEIP=0
   ELSE
      TDLTA=TIME-TLAST
      ;Disease progression
      BFT=ZBFT*EXP(KBF*(1+SBF)*TDLTA)
      IPT=ZIPT*EXP(KIP*(1+SIP)*TDLTA)
      ;Effect compartments
      EXPBFT=EXP(-KEQOBF*TDLTA)
      CEBF1=ZCEBF*EXPBFT
      CEBF2=EOBFT*(1-EXPBFT)
      CEBFT=ZCEBF*EXPBFT+EOBFT*(1-EXPBFT)
      EXPIPT=EXP(-KEQOIP*TDLTA)
      CEIPT=ZCEIP*EXPIPT+EOIPT*(1-EXPIPT)
   ENDIF
   ;Offset Drug Effect 
   OBF=(CEBFT+EOBFC)*(1+ETA(3)) 
   OIP=(CEIPT+EOIPC)*(1+ETA(7))
   BF=BFT*(1+OBF)
   IP=IPT*(1+OIP)

;Solve for Glucose and Insulin
   AX=1
   BX=-GLUSTD
   CX=-CLINS*RGLU/(IP*BF*CLGLU*RINS)
   FPG=(-BX + SQRT(BX*BX - 4*AX*CX))/(2*AX)
   FSI=RINS*BF*(FPG-GLUSTD)/CLINS 
   
;Codes for observation types
;DVIDTRT=0 DVIDCOMB=1 DVIDFPG=2 DVIDFSI=3 DVIDHBA1C=4
;   FPGZ=FPG
;   FSIZ=FSI
;   FPG=10
;   FSI=70
   IF (DVID.LE.2) THEN
      SDFPG=THETA(55)*FPG*EXP(ETA(9))
      Y=FPG+SDFPG*ERR(1)
   ENDIF
   IF (DVID.EQ.3) THEN
      SDFSI=THETA(56)*FSI*EXP(ETA(10))
      Y=FSI+SDFSI*ERR(1)
   ENDIF

;Save for recursive solution
   TLAST=TIME
   ZBFT=BFT
   ZIPT=IPT
   ZCEBF=CEBFT
   ZCEIP=CEIPT
   
$TABLE ID TRT COMB TIME DOSE M1F0 AGE WTKG HTCM DVID DV MDV EVID
ONEHEADER NOAPPEND NOPRINT FILE=est.fit

