;PROJECT: 2157299  Calu 6
;STUDY: Mice data
;RUN: 100
;NOTES: Control and Treatment groups data
;NOTES: Simeoni type model; drug effects 
;NOTES: Variability in KIN and Baseline and proportional residual error model 
;NOREPORT

$PROBLEM 
$INPUT ID WGT TIME DV TYPE DOSE IND STUD CMT EVID AMT II ADDL
$DATA sim_data.dta IGNORE=#
$SUBROUTINES ADVAN13 TOL=5
$MODEL COMP ( DEPOT, DEFDOSE)
       COMP (CENTRAL)
       COMP (PERPH)
       COMP (SMAD)
       COMP (TUMOUR)
       COMP (SINL1)
       COMP (SINL2)      
$PK
 CALLFL=-1
;---------------------------PK-----------------------------------
 KA=8*24
 V=0.443
 CL=0.551*24
 VT=1.29
 Q=1.28*24
 S2=V
;---------------------------SMAD---------------------------------
 KOUT= 2.24*24
 E0=100
 KSYN=KOUT*E0
 EMAX=1
 C50=0.79
 NN=1.4
 F4=E0
;----------------------------GOMPERTZ-----------------------------
 KIN=THETA(1)*EXP(ETA(1))
 N0=THETA(2)*EXP(ETA(2))
 Kb=THETA(3)
 GA=20
 F5=N0
 MTT=THETA(4)
 KE0=3/MTT
$DES
 DADT(1) = - KA * A(1)
 DADT(2) =  KA * A(1) + (Q/VT) * A(3) - (Q/V) * A(2) - (CL/V) * A(2)
 DADT(3) = (Q/V) * A(2) - (Q/VT) * A(3)
;------------------------SMAD------------------------------------
 CP=A(2)/S2+0.0001
 IT=(1-EMAX*(CP**NN)/((CP**NN)+(C50**NN)))
 DADT(4)= KSYN * IT - KOUT * A(4)
 SMAD=A(4)
 SNL=(E0-SMAD+0.00001)/E0
;-----------------------SIGNAL-----------------------------------
 DADT(6)=KE0*(SNL-A(6))
 DADT(7)=KE0*(A(6)-A(7))
 TDCC=1-A(7)
;----------------------TUMOR--------------------------------------
 DADT(5)=(KIN*A(5)/(1+(KIN*A(5)/Kb)**GA)**(1/GA))*TDCC
$ERROR
 IPRED = F
 W=IPRED
 Y=IPRED+W*EPS(1)
 DEL=0.0
 IF(IPRED.EQ.0) DEL=0.0001
 IWRES=(DV-IPRED)/W
$THETA (0,0.137)        ; KIN
$THETA (30,39)          ; N0
$THETA (75,111)         ; Kb
$THETA (3,6.17)         ; MTT
$OMEGA 0.0358           ; Variability in KIN
$OMEGA 0.0469           ; Variability in N0
$SIGMA 0.0322           ; Residual error
;$SIMULATION (41714777) SUBPROBLEMS=1
$ESTIMATION MAXEVAL=9990 PRINT=5 METHOD=1 INTERACTION NOABORT 
$COV
