$PROB CCR2012 RIBBA TUMOUR GROWTH INHIBITION
$INPUT ID TIME AMT DV MDV EVID
$DATA dataLGG_PCV_nh2.csv
$EST METHOD=SAEM NBURN=3000 NITER=1000 ISAMPLE=1 NSIG=2 SIGL=6
     CTYPE=3 CITER=10 CALPHA=0.05 NOPRIOR=1
     ;LAPLACE NUMERICAL SLOW 
     NOABORT PRINT=10
     GRD=TS(9) FILE=CCR2012_TGI_SAEM2.raw
$COV MATRIX=R PRINT=E UNCONDITIONAL SIGL=8

$THETA
;Parameters for PCV chemotherapy study from CCR2012
7.13 ; POP_PT0 mm
41.2 ; POP_Q0 mm
0.121 ; POP_LAMBDAP mo-1
0.03 ; POP_KPQ mo-1
0.0031 ; POP_KQPP mo-1
0.008 ; POP_DELTAQP mo-1
0.729 ; POP_GAMA
0.24 ; POP_KDE mo-1
(0,1,) ; RUV_SD mm (No estimate reported in CCR2012)
$OMEGA
0.25 ; PPV_PT0
0.25 ; PPV_Q0
0.25 ; PPV_LAMBDAP
0.25 ; PPV_KPQ
0.25 ; PPV_KQPP
0.25 ; PPV_DELTAQP
0.25 ; PPV_GAMA
0.25 FIX ; PPV_KDE
$SIGMA
1 FIX ; EPS1 

$SUBR ADVAN13 TOL=6
$MODEL
COMP (C) 
COMP (PT) 
COMP (Q)
COMP (QP)

$PK

   PT0=THETA(1)*EXP(ETA(1))
   Q0=THETA(2)*EXP(ETA(2))
   LAMBDAP=THETA(3)*EXP(ETA(3))
   KPQ=THETA(4)*EXP(ETA(4))
   KQPP=THETA(5)*EXP(ETA(5))
   DELTAQP=THETA(6)*EXP(ETA(6))
   GAMA=THETA(7)*EXP(ETA(7))
   KDE=THETA(8)*EXP(ETA(8))
   K=100

;Initial conditions
   A_0(2)=PT0
   A_0(3)=Q0

$DES
   C=A(1)
   PT=A(2)
   Q=A(3)
   QP=A(4)

   DPSTAR=PT+Q+QP

   DADT(1) = -KDE*C ; conc in KPD effect compartment
   DADT(2) = LAMBDAP*PT*(1-DPSTAR/K) + KQPP*QP - KPQ*PT - GAMA*PT*KDE*C ; proliferating cells
   DADT(3) = KPQ*PT - GAMA*Q*KDE*C ; quiescent cells
   DADT(4) = GAMA*Q*KDE*C - KQPP*QP - DELTAQP*QP ; damage quiescent cells

$ERROR

   PSTAR=A(2)+A(3)+A(4)

   Y=PSTAR + THETA(9)*ERR(1)

$TABLE ID TIME Y
ONEHEADER NOPRINT FILE=tgi.fit
