$PROB PSG
$DATA datatop_simulated.csv
$INPUT ID TIME=YEAR TC LD DP BC PG TRPI
DVID DV MDV EVID

$ESTIM MAX=9990 SIG=6 PRINT=1 NOABORT
METHOD=COND SLOW
MSFO=psg.msf
$COV
;$SIM (20120827) ONLYSIM NSUB=1

$THETA 
(10,21.3,30) ; S0
(10,87.6,300) ; RSS
(.1,100.,1000) ; POPTP Y
(-1,0,) FIX ; FPIG Y -0.196
(-1,0,) FIX ; FTRE Y .155
(-10,0,) FIX ; FTRPI

0.73 ; KPLT FRSS/0.3G/DAY
0.457 ; KPDT FRSS/10MG/DAY
1.19 ; KPBT FRSS/15MG/DAY
-0.0494 ; KPPT FRSS/1.25MG/DAY
0 FIX ; KPTT FRSS/10ku/DAY
(0.01,4.23,10) ; FLXDT

0 FIX ; EM0L U
(0.005,0.0333,5)  ; C5L 0.3G/DAY
(-INF,-24.2,0)  ; BEML U
(0,0.689,10) ; TEML Y
(0.005,2.81,5) ; TEQL Y
(.1,0.513,5) ; HILL

(-INF,-0.403,) ; BOD U
(-INF,-1.56,) ; BOB U
(-INF,-0.611,) ; BOP U

$OMEGA BLOCK (3)
0.235 ; CVS0
0.0556 0.382 ; CVRSS
-0.00145 0.394 0.722 ; CVTP

$OMEGA 0 FIX; CVEM0L
$OMEGA BLOCK(3)
0.394 ; CVBEML
0. 0.288 ; CVC5L
0. 0. 0.872 ; CVTEML
$OMEGA 0.503 ; CVTEQL
$OMEGA 0.85 ; CVHILL

$OMEGA BLOCK(1)
1.23 ; CVKPLT
$OMEGA BLOCK(1) SAME
;; CVKPDT
$OMEGA BLOCK(1) SAME
;; CVKPBT
$OMEGA BLOCK(1) SAME
;; CVKPPT
$OMEGA 0 FIX ; CVKPTT
$OMEGA 0.798 ; CVFLXDT

$OMEGA BLOCK(1)
21.2 ; CVBOD
$OMEGA BLOCK(1) SAME
;; CVBOB
$OMEGA BLOCK(1) SAME
;; CVBOP

$SIGMA 30.7 ; SDU 1

$SUBR ADVAN=9 TOL=6
$MODEL
   COMP = ( STATUS )
   COMP = ( LDOFF )

$PK
   IF (NEWIND.LE.1) THEN
      LN2=LOG(2)
      CZPL=0
      CZPD=0
      CZPB=0
      CZPP=0
      CZPT=0
      CZOL=0
      CZOD=0
      CZOB=0
      CZOP=0
      LDZ=0
      DPZ=0
      TCZ=0
   ENDIF

   TVS0=THETA(1)
   S0=TVS0*EXP(ETA(1))

   PVKPLT=ETA(10)
   IF(PVKPLT.GT.10) EXIT 1 105
   PVKPDT=ETA(11)
   IF(PVKPDT.GT.10) EXIT 1 106

   ; NO DRUG
   FPLDT=1
   ; LD ONLY
   IF (CZPL.GT.0.AND.CZPD.EQ.0) THEN
      TVKPL=THETA(7)
      KPLT=TVKPL*(1+PVKPLT)
      FPLDT=EXP(CZPL*KPLT)
   ENDIF
   ; DP ONLY
   IF (CZPL.EQ.0.AND.CZPD.GT.0) THEN
      TVKPD=THETA(8)
      KPDT=TVKPD*(1+PVKPDT)
      FPLDT=EXP(CZPD*KPDT)
   ENDIF
   ; LD AND DP
   IF (CZPL.GT.0.AND.CZPD.GT.0) THEN
      TVKPL=KPLT
      KPLT=TVKPL*(1+PVKPLT)
      TVKPD=KPDT
      KPDT=TVKPD*(1+PVKPDT)
      TVFLXD=THETA(12)
      FLXDT=TVFLXD*EXP(ETA(15))
      FPLT=EXP(CZPL*KPLT)
      FPDT=EXP(CZPD*KPDT)
      FPLDT=FLXDT*FPLT*FPDT
   ENDIF
   TVKPB=THETA(9)
   KPBT=TVKPB*(1+ETA(12))
   FPBT=EXP(CZPB*KPBT)
   TVKPP=THETA(10)
   KPPT=TVKPP*(1+ETA(13))
   FPPT=EXP(CZPP*KPPT)
   TVKTP=THETA(11)
   KPTT=TVKTP*(1+ETA(14))
   FPTT=EXP(CZPT*KPTT)

   TVRSS=THETA(2)
   IF(TRPI.LE.1) THEN   ; pigd-dominant
      GRPTP=THETA(4)  
      TPTYPE=1
   ELSE
      IF(TRPI.GE.1.5) THEN ; tremor-dominant
         GRPTP=THETA(5)
         TPTYPE=2
      ELSE  ; indeterminate
         GRPTP=0
         TPTYPE=3
      ENDIF
   ENDIF
   FCATP=EXP(GRPTP)
   FCOTP=EXP(THETA(6)*TRPI)
   TVTP=THETA(3)*FCATP*FCOTP*FPTT*FPPT*FPBT*FPLDT
   TP=TVTP*EXP(ETA(3))
   RSS=TVRSS*EXP(ETA(2))
   K=LN2/TP
   RATEIN=K*RSS

   TEQL=THETA(17)*EXP(ETA(8))
   KEQL=LN2/TEQL

   A_0(1)=S0

   S1=1


$DES
   DADT(1)=(RATEIN-K*A(1))*A(1)
   DADT(2)=KEQL*(CZOL-A(2)) 

$ERROR
   PPVBML=ETA(5)
   IF(PPVBML.GT.10) EXIT 1 101
   PPVTML=ETA(7)
   IF(PPVTML.GT.10) EXIT 1 102
   PPVC5L=ETA(6)
   IF(PPVC5L.GT.10) EXIT 1 103

   IF (NEWIND.LE.1) THEN
      LN2=LOG(2)
   ENDIF

   LDZ=LD/0.3
   DPZ=DP
   BCZ=BC/15
   PGZ=PG/1.25
   TCZ=TC

   EM0L=THETA(13)*(1+ETA(4))
   BEML=THETA(15)*(1+PPVBML)
   TEML=THETA(16)*EXP(PPVTML)
   C5L=THETA(14)*EXP(PPVC5L)
   HILL=THETA(18)*EXP(ETA(9))

   BOD=THETA(19)*(1+ETA(16))
   BOB=THETA(20)*(1+ETA(17))
   BOP=THETA(21)*(1+ETA(18))

   KEML=LN2/TEML
   EML=EM0L + BEML*(1-EXP(-KEML*TIME))

   CEOL=A(2)
   CEOD=CZOD
   CEOB=CZOB
   CEOP=CZOP

   IF (CEOL.GT.0) THEN
      CEHL=CEOL**HILL
   ELSE
      CEHL=CEOL
   ENDIF

   RT=F
   OFFSET=EML*CEHL/(C5L**HILL+CEHL)+CEOD*BOD+CEOB*BOB+CEOP*BOP
   R=RT+OFFSET

   Y=R+ERR(1)

;REMEMBER LAST CONCS
   CZPL=LDZ
   CZPD=DPZ
   CZPB=BCZ
   CZPP=PGZ
   CZPT=TCZ
   CZOL=LDZ
   CZOD=DPZ
   CZOB=BCZ
   CZOP=PGZ

$TABLE ID TIME TC LD DP BC PG
DVID DV MDV EVID
NOAPPEND ONEHEADER NOPRINT FILE=updrs.fit
